import { Empty, helper, Button } from '@feewee/h5app-common';
import { useNavigate } from '@modern-js/runtime/router';

/** 全局404页面 */
export default function NotFound() {
  const navigate = useNavigate();
  return (
    <Empty type="noPage" className="pt-8 max-w-screen-md mx-auto">
      <div className="mt-8 mx-auto w-4/6">
        <Button type="primary" size="large" block onClick={() => helper.checkBack(() => navigate(-1))}>
          返回
        </Button>
      </div>
    </Empty>
  );
}
