import { host, http } from '@feewee/h5app-common';

export async function getServerTime(): Promise<number> {
  try {
    return await http.get<number>(`${host.admin}/common/sys/time`, undefined, { ignoreAuth: true });
  } catch (e) {
    return Date.now();
  }
}
